App Resource API
Update App Resource
Update an existing app resource.
PUT
/
v2
/
app-resources
/
{id}
Update App Resource
curl --request PUT \
--url https://public.api.serval.com/v2/app-resources/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceType": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"owners": {
"owners": [
{
"targetId": "<string>"
}
]
}
}
'import requests
url = "https://public.api.serval.com/v2/app-resources/{id}"
payload = {
"resourceType": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"owners": { "owners": [{ "targetId": "<string>" }] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceType: '<string>',
name: '<string>',
description: '<string>',
externalId: '<string>',
owners: {owners: [{targetId: '<string>'}]}
})
};
fetch('https://public.api.serval.com/v2/app-resources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"appInstanceId": "<string>",
"resourceType": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"tagIds": [
"<string>"
]
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource.
Body
application/json
The type of the resource.
The name of the resource.
A description of the resource.
The external ID of the resource (optional).
Replaces the resource's whole owner set when present (an empty set removes all owners). Omit to leave owners unchanged.
Show child attributes
Show child attributes
Response
Success
The updated resource.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update App Resource

